Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003655 [JEDI VCL] 00 JVCL Components minor always 2006-04-22 10:21 2006-05-02 02:57
Reporter ykami View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0003655: JvPaintFX - Access Violation is raised by the stretch method.
Description If a very small image is given to the TJvPaintFx.Stretch method, the exception(AV or EInvalidGraphicOperation) is generated.

When width and height are images of three or more, it operates normally.

I'm using the latest version of SVN. (with BDS2006Pro)
JvPaintFX.pas 9258

-----
var
  SrcBMP,DestBMP: TBitmap;
begin

  DestBMP := TBitmap.Create;
  DestBMP.Width := 300;
  DestBMP.Height := 300;

  SrcBMP := TBitmap.Create;
  SrcBMP.Width := 1;
  SrcBMP.Height := 1;
 
  // Access Violation
  TJvPaintFX.Stretch(SrcBMP, DestBMP, Lanczos3Filter, 3.0);

  SrcBMP := TBitmap.Create;
  SrcBMP.Width := 3;
  SrcBMP.Height := 1;

  // EInvalidGraphicOperation
  TJvPaintFX.Stretch(SrcBMP, DestBMP, Lanczos3Filter, 3.0);
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0009228)
obones (administrator)
2006-05-02 02:15

Seing this with BDS2006 under XP. Working on it.
(0009230)
obones (administrator)
2006-05-02 02:57

This is now fixed in SVN.

- Issue History
Date Modified Username Field Change
2006-04-22 10:21 ykami New Issue
2006-04-27 09:18 ykami Issue Monitored: ykami
2006-04-27 09:19 ykami Issue End Monitor: ykami
2006-05-02 02:15 obones Note Added: 0009228
2006-05-02 02:15 obones Status new => confirmed
2006-05-02 02:57 obones Status confirmed => resolved
2006-05-02 02:57 obones Resolution open => fixed
2006-05-02 02:57 obones Assigned To => obones
2006-05-02 02:57 obones Note Added: 0009230


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker